package org.netkernel.layer1.endpoint;

import org.netkernel.layer0.nkf.INKFRequestReadOnly;
import org.netkernel.layer0.nkf.INKFResolutionContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;


public class LimiterEndpoint extends StandardAccessorImpl
{
	public LimiterEndpoint()
	{	this.declareThreadSafe();
		this.declareSupportedVerbs(INKFRequestReadOnly.VERB_SOURCE|INKFRequestReadOnly.VERB_SINK|INKFRequestReadOnly.VERB_NEW|INKFRequestReadOnly.VERB_DELETE|INKFRequestReadOnly.VERB_EXISTS);
	}

	@Override
	public void onResolve(INKFResolutionContext aContext) throws Exception
	{	super.onResolve(aContext);
		if(aContext.isResponseSet())
		{	//Our grammar matches so we will  terminate resolution.
			aContext.createResolutionTerminateResponse();
		}
	}

}
