package org.netkernel.layer1.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSInversion;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.impl.HDSFactory;
import org.netkernel.module.standard.endpoint.StandardTransreptorImpl;

public class ToHDSInversion extends StandardTransreptorImpl
{
	public ToHDSInversion()
	{	this.declareThreadSafe();
		this.declareToRepresentation(IHDSInversion.class);
	}

	@Override
	public void onTransrept(INKFRequestContext context) throws Exception
	{	IHDSNode n=context.sourcePrimary(IHDSNode.class);
		context.createResponseFrom(HDSFactory.toHDSInversion(n));
	}
	
	
}
